Выпущены обновления SMF 1.1.21 и SMF 2.0.10

Автор digger®, 24 апреля 2015, 21:40:42

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

digger®

Проект Simple Machines Forum выпустил обновления для SMF 1.1.x и SMF 2.0.x. Текущими версиями становятся SMF 1.1.21 и SMF 2.0.10.

Эти обновления направлены на решение проблем, обнаруженных пользователями после выпуска предыдущей версии.

SMF 2.0.9/1.1.20 можно обновить используя менеджер пакетов. Вы должны увидеть уведомление об обновлении в панели администратора и менеджере пакетов, что позволяет легко загрузить и установить обновление. Если у вас нет уведомления об обновлении, запустите запланированное задание "Получение файлов с сайта Simple Machines" в диспетчере задач. Вы, также, можете вручную скачать пакет обновления со страницы загрузок официального сайта, и установить его с помощью менеджера пакетов.

Если вы используете старые версии SMF, вы можете обновиться с помощью полного пакета обновления со страницы загрузок официального сайта. Помните, что использование этого метода обновления потребует переустановки всех установленных на форуме модов.

Список изменений можно найти на странице загрузок.

Обратите внимание, что для SMF 2.0.10 были добавлены новые языковые строки для раздела управлениями платными подписками. Так что, если вы пользуетесь PayPal для их оплаты, имеет смысл заменить ваш файл ManagePaid.russian.php или ManagePaid.russian-utf8.php новым файлом взятым из актуальной версии русской локализации со страницы http://download.simplemachines.org/?smflanguages;lang=russian. Это никак не скажется на работе подписок, только изменит несколько текстовых надписей.

Если у вас возникли проблемы с загрузкой обновления из панели администратора, вы можете загрузить пакет со страницы пакетов обновлений и установить его как обычный мод.

Более подробную информацию можно получить в Справочных руководствах:
* Полное обновление   
* Пакетное обновление

Список изменений: 
Цитировать
SMF 2.0.10                                            April 22 2015
===============================================================================

April 2015
-------------------------------------------------------------------------------
! The instructions on ManagePaid page need to be updated
! PayPal emails are case insensitive
! Long standing problem with ManageNews and PostgreSQL
! Long standing problem with Smiley sets and PostgreSQL
! Errors show in log when handling certain tar.gz packages

March 2015
-------------------------------------------------------------------------------
! Forum Maintenance - Topics fails if header is collapsed
! Fix for unsupported UTF8mb4 characters

February 2015
-------------------------------------------------------------------------------
! SSI.php doesn't handle "hide results until user has voted" properly
! Sanitize package redirects

January 2015
-------------------------------------------------------------------------------
! Can't use WYSIWYG editor in Pale Moon browser
! Search dialogue can overflow inappropriately
- Excessive line in ManageServer.php in the patch upgrade from 2.0.8
! HTML tag broken in 2.0.9 install package
! Wrong link in ManageAttachments
* Error suppression missing in Subs-Package
! XML post preview was broken in 2.0.9
! Chrome doesn't like opacity for the news fader anymore
+ Add additional emails in Paid Subscriptions settings for PayPal business accounts.
Оригинал: http://www.simplemachines.org/community/index.php?topic=535828.0

S.T.A.L.K.E.R.

Пока ещё остутствует обновление...

ALINA

Цитата: Yarik от 24 апреля 2015, 21:48:42Пока ещё остутствует обновление...
Версию новую через диспетчер задач показало , а вот предложения об обновлении в админке нету

S.T.A.L.K.E.R.

Цитата: ALINA от 24 апреля 2015, 21:55:55
Версию новую через диспетчер задач показало , а вот предложения об обновлении в админке нету

На офф.сайте где пакеты для обновления пока тоже тишина...

kak2z

Если нужно что то исправить, обновить, переставить, настроить, сделать форум заново - пишите в ЛС)

ALINA


BoPoH

в "./Themes/default/languages/index.english.php" ищет "// Version: 2.0.8;" а у меня там чтот еще 2.0.7 было  :D

S.T.A.L.K.E.R.

Вот теперь обновился нормально.А говорили что для линейки один 1.1.20 последняя....

ALINA

Цитата: Yarik от 25 апреля 2015, 08:40:21А говорили что для линейки один 1.1.20 последняя....
Это как на хрюше . Официально поддержка закрыта .Через упдате обновы не летели, а отдельно пак можно было с заплатками скачать  у майков .
Кажется я поняла почему не было предложения обновится с админки .Такая же фигня .У кого нибудь было ? 

S.T.A.L.K.E.R.

Цитата: ALINA от 25 апреля 2015, 08:49:23Кажется я поняла почему не было предложения обновится с админки .Такая же фигня .У кого нибудь было ? 
Та же фигня,у меня с самого утра - Невозможно получить информацию о последних и самых популярных пакетах с www.simplemachines.org...

karavan

Цитата: ALINA от 25 апреля 2015, 08:49:23Кажется я поняла почему
Так почему же?

ПС. У меня пока через админку обновлялки не видит дальше:
Информация о версиях:
Версия форума: SMF 2.0.9
Последняя версия SMF: SMF 2.0.9

ALINA

Цитата: karavan от 25 апреля 2015, 09:05:29ПС. У меня пока через админку обновлялки не видит дальше:
диспетчер задач запусти  . Галочку напротив задачи поставь . Найдет .Но обновить не предложит .

Snow_Irbis

А моды которые для 2.0.9 будут работать на 2.0.10 или нет?

S.T.A.L.K.E.R.

Цитата: Snow_Irbis от 25 апреля 2015, 09:30:50А моды которые для 2.0.9 будут работать на 2.0.10 или нет?
Будут,больше 80-ти модов,всё работает.

Snow_Irbis

Обновил свой форум до версии 2.0.10 вроде все отлично (тьфу-тьфу-тьфу что бы не сглазить)  :) Моды которые я использую SMFPacks Shoutbox, Quick Spoiler, Simple Audio Video Embedder, работают отлично  :) И такой вопрос, если в менеджере пакетов удалить SMF 1.1.21 / 2.0.10 Update то форум вернется к версии 2.0.9, то есть если вдруг что есть возможность откатится с  новой версии на предыдущую? Заранее спасибо за ответ  :) !

BoPoH


karavan

У меня раз в 10 больше модов и за 6 лет обновлений ни проблем с модами, ни необходимости откатов не возникало, ваши переживания напрасны.

TXT

#17
Цитата: Yarik от 25 апреля 2015, 08:40:21
А говорили что для линейки один 1.1.20 последняя....

А вы заметили, что меняет обновление? В Post.template.php к "question", "topic" добавляет ", sc". Ну и циферки версии с годами. ВСЁ.
Кстати, если установлена другая тема, не забудьте там ", sc" вручную добавить.

Набоков

      Обновил до 1.1.21. Пока проблем не видно.

Serifa

Ошибка в index.english.php, не смог изменения внести. Но кому этот файл может пригодиться? А так, вроде, работает, версия в футере сменилась на 2.0.10
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

Everi

#20
Благодарю, обновились  O0

Некто

а стОит ли обновляться? критических же (например обновлений безопасности) обнов нет. можно ведь на 209 сидеть пока...
я не веб-мастер, я только учусь)

karavan

Цитата: Serifa от 25 апреля 2015, 19:07:38Ошибка в index.english.php, не смог изменения внести.
Не может найти 2014 год в копирайтах, у меня был когда-то RC-5 и видимо с тех времён остался 2011. Если хотите чтобы без ошибки становилось, в строке $forum_copyright = найдите 2011 (или что у вас там) и замените на 2014, после чего пакет установится без ошибок.

ALINA

Цитата: karavan от 25 апреля 2015, 20:53:30и замените на 2014, после чего пакет установится без ошибок.
ага щаззз ;D У меня 2014 стоял ,ему 2015 хотелось .Вручную подправила .

karavan

Ну видимо по-разному бывает ) вобщем в принципе можно не обращать внимания на эту ошибку, для тех, кто не хочет заморачиваться, имхо.

Serifa

Я проигнорировала эту ошибку, всё равно всё поставилось. Зачем править английский файл, если форум русскоязычный?
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

Корреспондент

А я уж думал SMF 2.0.9 будет последним в линейке. Далее только 2.1.x. Теперь будем ожидать месяцев через 5, версию 2.0.11???
Пока не обновлялся, в админке не вижу информации о выходе новой версии. Обновлюсь напишу отзыв, или чистый поставлю.

Mavn

в стабильной линейке релизы случаются только в случае необходимости фикса какого-то бага, а когда найдут очередной баг сказать трудно может через неделю может через год.
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Сергей Д.

При детальной проверке версии (обслуживание форума), после обновления, указывает, что не соответствуют языковые файлы:
index.russian.php
index.russian-utf8.php
ManagePaid.russian.php
ManagePaid.russian-utf8.php

У всех так?
Форум для тех, кому за 40 на Facebook: Форум za40.org.

karavan

да, потому как русские (как и любые другие региональные) файлы не входят в официальный пакет обновления.

Serifa

«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

S.T.A.L.K.E.R.

Цитата: Serifa от 26 апреля 2015, 11:38:29
Придётся ручками править.
А нафиг оно нужно,ну не соотв. и что дальше?И так всё отлично работает.

karavan

Думаю если в этих файлах в строке № 2 // Version: 2.0; поправить на // Version: 2.0.10; то предупреждение пропадёт  :) но в этом случае действительно
Цитата: Yarik от 26 апреля 2015, 12:31:42А нафиг оно нужно,ну не соотв. и что дальше?И так всё отлично работает.
:)

Сергей Д.

Тоже думаю, что предупреждение пропадет....  O0 Спасибо всем за ответы!
Форум для тех, кому за 40 на Facebook: Форум za40.org.

S.T.A.L.K.E.R.

Цитата: Сергей Николаевич от 26 апреля 2015, 15:05:07Тоже думаю, что предупреждение пропадет....
Пропадёт,только что проверил от нефиг делать.

karavan


nik001

пробовал обновить русский, скачал тут http://download.simplemachines.org/?smflanguages;lang=russian    smf_2-0-10_russian-utf8   в zip. Пробую обновить пишет:
ЦитироватьЗагрузка пакета прошла с ошибками:
"Несмотря на то, что пакет был загружен на сервер, он выглядит пустым. Пожалуйста, проверьте, доступны ли для записи директория Packages и поддиректория "temp". Если по-прежнему сталкиваетесь с этой проблемой, попробуйте распаковать содержимое пакета на своем компьютере и загрузить распакованные файлы в созданную поддиректорию в директории Packages и повторите попытку установки. Например, если пакет называется shout.tar.gz, нужно:
1) Загрузить пакет на свой компьютер и распаковать файлы.
2) С помощью клиента FTP создать новую директорию в директории "Packages", например "shout".
3) Загрузить все файлы, распакованные из пакета, в созданную директорию.
4) Вернуться в менеджер пакетов и обновить страницу. Новый пакет будет автоматически обнаружен SMF."

как быть?

valek0972

Цитата: nik001 от 26 апреля 2015, 16:33:01Пробую обновить пишет:
Это же не мод, ручками нужно закидывать.
Только не пойму зачем, если какие то моды вносили изменения в файлы русификации, то все пропадет, как только замените на новые.

nik001

Цитата: valek0972 от 26 апреля 2015, 16:36:50
Это же не мод, ручками нужно закидывать.
Только не пойму зачем, если какие то моды вносили изменения в файлы русификации, то все пропадет, как только замените на новые.
Спасибо, это я не учел. Да и зачем русский язык менять, в новом обновлении русский только в платных подписках изменен.

S.T.A.L.K.E.R.

Цитата: nik001 от 26 апреля 2015, 16:33:01
пробовал обновить русский, скачал тут http://download.simplemachines.org/?smflanguages;lang=russian    smf_2-0-10_russian-utf8   в zip. Пробую обновить пишет:
как быть?
Смотрите не дообновляйтесь,переводы модов слетят.

Некто

Цитата: ALINA от 25 апреля 2015, 21:06:32
У меня 2014 стоял ,ему 2015 хотелось .Вручную подправила .
а я и не стал править (у меня этого просто нет, т.к. стоит автоматический вывод года)  и автоматом из админки обновился без проблем
я не веб-мастер, я только учусь)

Serifa

У меня в админке так ничего и не появилось, пришлось скачивать пакет.
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

Корреспондент

Из замеченных исправлений: В этом обновлении 2.0.10 начала корректно отображаться полоса прокрутки новостей, в браузере Google Chrome.
А до этого, если у вас было несколько новостей, то они отображались все сразу, а не чередовались по отдельности.

Serifa

Кто еще заметил? Надо проверить эту новость!
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

S.T.A.L.K.E.R.

У меня новостей столько не бывает,чтобы прокрутка понадобилась.Бывает одна новость,раз в несколько месяцев.

ALINA

У меня отключена прокрутка новостей . Поэтому ничего не проверю .

Serifa

Я когда первый раз установила форум, меня именно показ новостей расстрогал :) Это было так красиво! А потом вдруг появился этот дурацкий баг...
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

Корреспондент

Проблема была раньше, если форум смотреть с Хрома. В других браузерах: IE, Opera, FireFox, там этого бага не было.

Serifa

Цитата: Корреспондент от 28 апреля 2015, 18:07:01
Проблема была раньше, если форум смотреть с Хрома. В других браузерах: IE, Opera, FireFox, там этого бага не было.
У меня была со всех браузеров :) С мозиллы тоже.
Я с тех пор даже разучилась новости добавлять( Теперь вот надо придумывать, что туда писать.
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге срочно нужны читатели!

karavan

что оно хоть такое эта автопрокрутка?

Корреспондент

Админка - Текущая тема оформления - Показывать прокрутку новостей на главной странице форума. Надо поставить галочку. И рядом же выставляем скорость прокрутки. По-умолчанию там стоит цифра 5000, но я этот параметр меняю на 3000, так чуть быстрее. Далее идём в "Новости и рассылки" и добавляем 2-3-4 или сколько там хотите своих объявлений. Можно использовать BBcode.
ПРИМЕЧАНИЕ: Если у вас на форуме устанавлены несколько тем, всё то же самое нужно проделать для каждой из них, т.е. включить прокрутку и выставить скорость.

karavan


Ilrus

У меня при обновлении с 2.0.9 появилось предупреждение об ошибках:
Что делать?
Optimus Brave    1.8.1|YouTube BBCode 2.6|markItUp! for SMF  0.4.3|dQuoteSelection    2.5 b2|FancyBox 4 SMF    0.2.1

ALINA

Цитата: Ilrus от 30 апреля 2015, 22:37:15У меня при обновлении с 2.0.9 появилось предупреждение об ошибках:
и что там предлагает заменить ? Смотрели ? Лично у меня предложило 2014 на 2015 поменять . Можно подправить ручками ,а можно забить .

karavan

Цитата: Ilrus от 30 апреля 2015, 22:37:15Что делать?
Это серьёзная проблема, решение её пока не найдено.

S.T.A.L.K.E.R.

Цитата: karavan от 01 мая 2015, 00:10:46
Это серьёзная проблема, решение её пока не найдено.
А нажать на карандаш и посмотреть это ещё серьёзнее проблема...Почему?Да потому что по моим наблюдениям процентов 60 админов смф вообще об этом не знают.При том что админят свои форумы достаточно долго.

Некто

Цитата: Ilrus от 30 апреля 2015, 22:37:15У меня при обновлении с 2.0.9 появилось предупреждение об ошибках:Что делать?
открыть блокнот и поправить указанный файл ручками. хотя, видно не судьба...
я не веб-мастер, я только учусь)

S.T.A.L.K.E.R.

Цитата: Некто от 01 мая 2015, 08:38:11
открыть блокнот и поправить указанный файл ручками. хотя, видно не судьба...
Важное уточнение,открыть Notepad++ и там произвести все правки...Личный опыт,посоветовал так человеку,он открыл стандартный блокнот винды и сделал.

ALINA

Ну и чего ехидничаете ? Сами с горшка что ли знали как править  ? Или родились админами ?

Ilrus

Подскажите, пож-та, что нужно открыть и что поправить. Здесь видел, что люди правят файлы, но так и не разобрался что и где править..
Тем более если проблема популярная, может сделать подробную инструкцию и в faq ее.
Optimus Brave    1.8.1|YouTube BBCode 2.6|markItUp! for SMF  0.4.3|dQuoteSelection    2.5 b2|FancyBox 4 SMF    0.2.1

ALINA

Ilrus вот смотрите там нарисован карандашик  и напротив него красная надпись что неудачно  . щелкните туда .Что там будет написано ?Там интуитивно понятно . А вообще есть программа http://notepad-plus-plus.org/  Notepad++. Скачайте ее .Она бесплатная . И файлы правят в ней  обычно . Думаю разберетесь .
Цитата: Ilrus от 01 мая 2015, 09:46:48Тем более если проблема популярная, может сделать подробную инструкцию и в faq ее.
да прикалываются  просто люди .Подшучивают , но не зло .

karavan

Когда же вы чувство юмора немножко добавите то? Ясное дело что руками правиться, буквально 4 дня обсуждали вопрос в этой же теме http://www.simplemachines.ru/index.php?topic=18135.msg148806#msg148806

эх, молодёжь  :D

с праздником вобщем

S.T.A.L.K.E.R.

Цитата: ALINA от 01 мая 2015, 09:54:43да прикалываются  просто люди .Подшучивают , но не зло .
Совершенно верно.

Корреспондент

Всё же одна недоработка осталась от преждних версий.
В админке в настройках тем, я выставил для будущих пользователей форума: "форма быстрого ответа по-умолчанию - развёрнута". Регистрирую клона и обнаруживаю, что эта форма быстрого ответа у меня свёрнута. Чтобы это поправить, нужно лезть в свой профиль.
Что интересно, остальные настройки заданные мной по-умолчанию, они работают. Ну например - "возвращаться в тему после ответа". А вот именно форма быстрого ответа нет!
Может у кого будут соображения на сей счёт, почему так?

ALINA

Цитата: Корреспондент от 03 мая 2015, 06:00:45В админке в настройках тем, я выставил для будущих пользователей форума: "форма быстрого ответа по-умолчанию - развёрнута". Регистрирую клона и обнаруживаю, что эта форма быстрого ответа у меня свёрнута.
Аналогичная ситуация . Только я думала что это из за моей тупости  что то  я не так делаю .

karavan

Может где-то можна "единичку" вместо 0 поставить в файлах вручную? Только где?

S.T.A.L.K.E.R.

#66
Цитата: ALINA от 03 мая 2015, 09:27:52
Аналогичная ситуация . Только я думала что это из за моей тупости  что то  я не так делаю .
Я делаю так,эту настройку выставляю в Настройки, принятые по умолчанию для гостей и новых пользователей и в Настройки темы оформления для зарегистрированных пользователей.Ещё не жаловались.

GeorG

Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

carlo22


Жека

Установил 2.0.9 => 2.0.10, полёт нормальный.

Ilrus

Цитата: ALINA от 01 мая 2015, 09:54:43Ilrus вот смотрите там нарисован карандашик  и напротив него красная надпись что неудачно  . щелкните туда .Что там будет написано ?
спасибо, щелкнул на карандаш напротив ошибки(./Themes/default/languages/index.english.php), вот что появилось  в окне:
Можно пропустить или лучше исправить?
Optimus Brave    1.8.1|YouTube BBCode 2.6|markItUp! for SMF  0.4.3|dQuoteSelection    2.5 b2|FancyBox 4 SMF    0.2.1

ALINA

Цитата: Ilrus от 04 мая 2015, 22:47:05Можно пропустить или лучше исправить?
Да как хотите . Я же говорю ,у меня попросило 2014 на 2015 исправить . Ну хочется этому языковому файлу  жить в нормальном времени ( в  вашем случае -версии ) ;D

karavan

Ну 2 варианта есть, или "забить", или найти эту строчку в файле index.english.php (вроде строчка № 2), посмотреть что там написано, и вместо него написать то что хочет пакет обновления (// Version: 2.0.8; index) после этого при установке ошибки не будет.

GeorG

Это комментарий, не влияет на работу.
Не хотите чтоб глаза мозолила каждый раз, то исправьте.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

bost

Добрый вечер! Как мне получить свежие новости с сайта Новости с Simple Machines...? Последняя новость об обновлении на версия 2.0.8 :o

GeorG

В первом сообщение:
Цитата: digger® от 24 апреля 2015, 21:40:42Если у вас нет уведомления об обновлении, запустите запланированное задание "Получение файлов с сайта Simple Machines" в диспетчере задач.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

bost

Цитата: GeorG от 05 мая 2015, 20:21:32В первом сообщение:Цитата: digger® от 24 Апрель 2015, 21:40:42Если у вас нет уведомления об обновлении, запустите запланированное задание "Получение файлов с сайта Simple Machines" в диспетчере задач.
Пробовал не помогает :(

nash17

Всем привет
обновился через админку, пользователи жалуются что не приходят сообщения о ответах в темах
у меня одного такой баг пошел? проверьте на всякий случай
в настройках галочка стоит (скрин)

sgtWhite

Цитата: bost от 05 мая 2015, 21:19:57Пробовал не помогает
У меня та же история на бесплатном тарифе без cURL.

ALINA

А что мешает скачать обновы с оффсайта? Диггер  постоянно выкладывает посты об обновлении .

Toomany

Извините за некропостинг, но: ни у кого не наблюдалось при обновлении до 2.0.10 проблемы с обрезанием кириллических тем и сообщений?
Мне в итоге, за отсутствием времени на разборки, пришлось откатить изменения в Load.php, касающиеся функций htmlspecialchars и fix_utf8mb; возможно, проблема связана с тем, что хостинг настроен под юникодный битрикс и, соответственно, в настройках PHP стоят mbstring.func_overload = 2 и mbstring.internal_encoding=UTF-8.

GeorG

Вы пишите название темы более 255 знаков, или у вас обрезаются более короткие названия?
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Toomany

Цитата: GeorG от 12 сентября 2015, 23:07:18Вы пишите название темы более 255 знаков, или у вас обрезаются более короткие названия?
Обрезались более короткие;
в одном случае от темы осталось восемь символов, от сообщения — приватного — двадцать три. То есть, привязка бага была явно не к длине.

Проблема возникала в функции reloadSettings() где-то тут:
'htmlspecialchars' => create_function('$string, $quote_style = ENT_COMPAT, $charset = \'ISO-8859-1\'', '
global $smcFunc;
return ' . ($utf8 ? '$smcFunc[\'fix_utf8mb4\'](' : '') . strtr($ent_check[0], array('&' => '&')) . 'htmlspecialchars($string, $quote_style, ' . ($utf8 ? '\'UTF-8\'' : '$charset') . ')' . $ent_check[1] . ($utf8 ? ')' : '') . ';'),
'fix_utf8mb4' => create_function('$string', '
$i = 0;
$len = strlen($string);
$new_string = \'\';
while ($i < $len)
{
$ord = ord($string[$i]);
if ($ord < 128)
{
$new_string .= $string[$i];
$i++;
}
elseif ($ord < 224)
{
$new_string .= $string[$i] . $string[$i+1];
$i += 2;
}
elseif ($ord < 240)
{
$new_string .= $string[$i] . $string[$i+1] . $string[$i+2];
$i += 3;
}
elseif ($ord < 248)
{
// Magic happens.
$val = (ord($string[$i]) & 0x07) << 18;
$val += (ord($string[$i+1]) & 0x3F) << 12;
$val += (ord($string[$i+2]) & 0x3F) << 6;
$val += (ord($string[$i+3]) & 0x3F);
$new_string .= \'&#\' . $val . \';\';
$i += 4;
}
}
return $new_string;'),

Mavn

SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Toomany


Mavn

на сколько я помню данный параметр задается в апаче, а там через директиву Directory можно указать выключение данного параметра для папки где установлен форум
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Жека

2.0.11
http://www.simplemachines.org/community/index.php?topic=539888.0

Заплатка безопасности: вызов функции unserialize() заменен на safe_unserialize()
- sanitizes input before unserializing string.

Корреспондент

Да есть такое дело в админке - 2.0.11
Извиняюсь за нубский вопрос, искать ответ щас времени нет: у меня всего три маленьких мода на форуме (v2.0.10). Их переустанавливать обязательно надо будет после обновы до 2.0.11?  :coolsmiley:

GeorG

Уже полдня там обновление висит, я ещё полшестого обновился.
Не надо ничего переустанавливать, обновление ставится как мод, это же патч.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

S.T.A.L.K.E.R.

Народ что-то пишет что после обновления страницы влёт стали открыватся... :o

GeorG

Я что-то не заметил, у меня как обычно всё.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

S.T.A.L.K.E.R.

Та,то уже скорее всего фантазии...

Жека

Цитата: Stalker от 20 сентября 2015, 10:41:15Народ что-то пишет что после обновления страницы влёт стали открыватся... :o
Сначала посмотрели бы что именно в коде изменилось, прежде чем такое заявлять...

S.T.A.L.K.E.R.

А то я слепой и кода не вижу...Я ж чего и смайлик поставил,и написал что это чьи-то фантазии у меня на форуме...Не мои естественно.